Skip to main content
POST
Update project ticket status

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

id
string<uuid>
required

Project ID

Body

application/json

Provide targetStatusName or statusExternalId.

ticketIds
integer[]
required

Project ticket ids (from the tickets endpoint), all on this project

Required array length: 1 - 100 elements
Required range: x > 0
targetStatusName
string

Case-insensitive status name (kanban-options ticketStatusesByBoard)

statusExternalId
string

PSA external id; takes precedence over the name

Response

Statuses updated

data
object
required